<html>
<head>
<title>OGRE: OgreExternalTextureSource.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreExternalTextureSource.h File Reference</h1><code>#include &quot;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&quot;</code><br>

<p>
<a href="OgreExternalTextureSource_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource.html">Ogre::ExternalTextureSource</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IMPORTANT: **Plugins must override default dictionary name!** Base class that texture plugins derive from.  <a href="classOgre_1_1ExternalTextureSource.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">Ogre::ExternalTextureSource::CmdInputFileName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">Ogre::ExternalTextureSource::CmdFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">Ogre::ExternalTextureSource::CmdPlayMode</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">Ogre::ExternalTextureSource::CmdTecPassState</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">Ogre::eTexturePlayMode</a> { <a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8b6118009d6be8772d4ce0a420f1ba488">Ogre::TextureEffectPause</a> =  0, 
<a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8b7675b540e30e7a4c0c8051ccb494dc0">Ogre::TextureEffectPlay_ASAP</a> =  1, 
<a class="el" href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a884d724e0fa4f5c9f903e4ff828c5fa63">Ogre::TextureEffectPlay_Looping</a> =  2
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum for type of texture play mode.  <a href="namespaceOgre.html#ff53586ca60f891d5c6019a6ffb347a8">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
